Bug 1298616 - Show at least characters from PDFDocEncoding in editable forms
Summary: Show at least characters from PDFDocEncoding in editable forms
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: poppler   
(Show other bugs)
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Martin Hatina
QA Contact: Desktop QE
Lucie Maňásková
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-14 14:58 UTC by Marek Kašík
Modified: 2016-11-23 13:10 UTC (History)
5 users (show)

Fixed In Version: poppler-0.26.5-14.el7
Doc Type: Release Note
Doc Text:
*Poppler* no longer renders certain characters incorrectly Previously, the *Poppler* library did not map correctly to character code. As a consequence, *Poppler* showed the `fi` string instead of showing the correct glyph, or nothing, if the font did not contain necessary glyphs. With this update, the characters previously replaced with the `fi` string are shown correctly.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-03 19:03:53 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Find correct glyph or return 0 (901 bytes, patch)
2016-03-08 10:43 UTC, Martin Hatina
no flags Details | Diff
Fix showing of some non-ASCII characters (1.01 KB, patch)
2016-03-08 10:43 UTC, Martin Hatina
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2580 normal SHIPPED_LIVE Moderate: poppler security and bug fix update 2016-11-03 12:07:53 UTC

Description Marek Kašík 2016-01-14 14:58:41 UTC
Description of problem:
Some characters from PDFDocEncoding are shown as "fi" or are not shown at all when entered into editable forms. This is caused by a bug in poppler. This is now fixed upstream (see https://bugs.freedesktop.org/show_bug.cgi?id=92597).


Version-Release number of selected component (if applicable):
poppler-0.26.5-5


How reproducible:
Always


Steps to Reproduce:
1. Get the PDF from https://bugzilla.gnome.org/show_bug.cgi?id=756805#c1
2. Enter "šč" into a field
3. press enter


Actual results:
There is "fifi" shown in the field


Expected results:
There is "š " shown in the field


Additional info:
I should mention that the fact that we don't expect "šč" is caused by the fact that handling of characters not present in PDFDocEncoding is not specified for forms in PDF specification (see https://bugzilla.redhat.com/show_bug.cgi?id=1226260).

Comment 2 Martin Hatina 2016-03-08 10:43 UTC
Created attachment 1134088 [details]
Find correct glyph or return 0

Comment 3 Martin Hatina 2016-03-08 10:43 UTC
Created attachment 1134089 [details]
Fix showing of some non-ASCII characters

Comment 5 janez.kosmrlj 2016-06-08 07:31:54 UTC
when can we expect poppler-0.26.5-14.el7

Comment 6 Marek Kašík 2016-06-09 08:50:02 UTC
It should be part of Red Hat Enterprise Linux 7.3 update.

Comment 7 Tomas Pelka 2016-08-29 13:17:43 UTC
Pass on poppler-0.26.5-16.el7

Comment 8 Tomas Pelka 2016-08-29 13:18:06 UTC
(In reply to Tomas Pelka from comment #7)
> Pass on poppler-0.26.5-16.el7

Tested on all supported arches.

Comment 9 janez.kosmrlj 2016-08-30 11:29:32 UTC
Hi,
I reported the related bug: https://bugzilla.redhat.com/show_bug.cgi?id=1226260 .
I just tested the new version of poppler (poppler-0.26.5-16.el7) which is included in the latest rhel 7.3 beta and this bug is not fixed.

Comment 11 errata-xmlrpc 2016-11-03 19:03:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2580.html


Note You need to log in before you can comment on or make changes to this bug.